// pages/search/index.js
const request = require('../../utils/request.js');
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nvabarData: {
      showCapsule: 1, //是否显示左上角图标，消息中心   1表示显示    0表示不显示
      showBack: 0, //返回
      title: '我要融资', //导航栏 中间的标题
      // 此页面 页面内容距最顶部的距离
      height: app.globalData.height * 2 + 20,
    },
    active: 1,
    icon: {
      normal: '/pages/images/home.png',
      active: '/pages/images/home_fill.png',
      bankNormal: '/pages/images/duijie.png',
      bankActive: '/pages/images/duijie_fill.png',
      marketNormal: '/pages/images/recharge.png',
      marketActive: '/pages/images/recharge_fill.png',
      policyNormal: '/pages/images/news_hot.png',
      policyActive: '/pages/images/news_hot_fill.png',
      myNormal: '/pages/images/people.png',
      myActive: '/pages/images/people_fill.png'
    },
    warehouseContent: '点击选择', //输入框显示的内容
    // 担保
    dbindexList: [],
    dbtext: '请选择',
    dbindex: null,
    // 需求
    yjrzxqList: [],
    xqtext: '请选择',
    xqindex: null,
    show: false,
    endInfo: {
      // "bank_name": '中国建设银行'
    },
    // 融资取向
    rzqxList: [],
    // 融资取向显示
    rzqxLists: []
  },
  // 担保
  dbindexListChange: function (e) {
    console.log('dbindexListChange发送选择改变，携带值为', e)
    this.setData({
      dbindex: e.detail.value,
      dbtext: '',
    })
  },
  // 需求
  yjrzxqListChange: function (e) {
    console.log('yjrzxqListChange发送选择改变，携带值为', e)
    this.setData({
      xqindex: e.detail.value,
      xqtext: '',
    })
  },
  async checkboxChange(e) {
    console.log('checkbox发生change事件，携带value值为：', e.detail.value);
    let arr = [];
    console.log('e.detail.value', e.detail.value)
    for (const val of e.detail.value) {
      const arr1 = {
        code: val
      }
      arr.push(arr1)
    }

    let nameArr = [];
    for (const v of arr) {
      let res = await request.query({
        url: 'api/financial/dictionary',
        data: {
          code: v.code
        }
      });
      if (res.data.errcode == 0) {
        const name1 = {
          name: res.data.data[0].name
        }
        nameArr.push(name1)
      } else {
        wx.showToast({
          title: e.data.details ? e.data.details : e.data.errmsg,
          icon: 'none',
          duration: 1500
        })
      }
    }
    this.setData({
      rzqxLists: nameArr
    });
  },
  async formSubmit(e) {
    let user = wx.getStorageSync('user')
    e.detail.value.uid = user._id;
    console.log('form发生了submit事件，携带数据为：', e.detail.value);
    let list = await request.query({
      url: 'api/financial/intelligentDocking/intelligentDocking',
      data: e.detail.value,
      method: 'post'
    });
    console.log('list11111111=========', list)
    if (list.data.errmsg == 'ok') {
      let one = await request.query({
        url: 'api/financial/intelligentDocking/dockingSearch',
        data: {
          uid: user._id,
          // status: '0'
        },
        method: 'post'
      });
      console.log(one.data.result[0].institution.name)
      if (one.data.errcode == 0) {
        this.setData({
          endInfo: {
            bank_name: one.data.result[0].institution.name
          },
          show: true
        });
      } else {
        wx.showToast({
          title: one.data.details ? one.data.details : one.data.errmsg,
          icon: 'none',
          duration: 2000
        })
      }
    } else {
      wx.showToast({
        title: list.data.details ? list.data.details : list.data.errmsg,
        icon: 'none',
        duration: 2000
      })
    }
  },
  onClose() {
    this.setData({
      show: false
    });
  },
  // 切换菜单
  onChange(event) {
    this.setData({
      active: event.detail
    });
    if (event.detail == 0) {
      wx.redirectTo({
        url: '/pages/home/index'
      })
    } else if (event.detail == 1) {
      wx.redirectTo({
        url: '/pages/bank/index'
      })
    } else if (event.detail == 2) {
      wx.redirectTo({
        url: '/pages/market/index'
      })
    } else if (event.detail == 3) {
      wx.redirectTo({
        url: '/pages/policy/index'
      })
    } else if (event.detail == 4) {
      wx.redirectTo({
        url: '/pages/my/index'
      })
    }
  },
  loadData: function () {
    let user = wx.getStorageSync('user')
    console.log('user', user._id)
    wx.request({
      method: "post",
      url: app.globalData.publicUrl + 'api/financial/intelligentDocking/dockingSearch',
      data: {
        uid: user._id,
        status: '0'
      },
      success: (e) => {
        console.log('success', e);
        if (e.data.errcode == 0) {
          if (e.data.result.length > 0) {
            wx.showModal({
              title: '警告',
              content: '您已有一个正在进行中的需求，请勿重复提交！',
              showCancel: false,
              confirmText: '返回首页',
              success: function (res) {
                if (res.confirm) {
                  wx.redirectTo({
                    url: '/pages/home/index'
                  })
                }
              }
            })
          }
        } else {
          wx.showToast({
            title: e.data.details ? e.data.details : e.data.errmsg,
            icon: 'none',
            duration: 1500
          })
        }
      }
    })

  },
  // db
  dbData: function () {
    wx.request({
      method: "get",
      url: app.globalData.publicUrl + 'api/financial/dictionary',
      data: {
        type: 'db'
      },
      success: (e) => {
        if (e.data.errcode == 0) {
          this.setData({
            dbindexList: e.data.data,
          })
        } else {
          wx.showToast({
            title: e.data.details ? e.data.details : e.data.errmsg,
            icon: 'none',
            duration: 1500
          })
        }
      }
    })
  },
  whenData: function () {
    wx.request({
      method: "get",
      url: app.globalData.publicUrl + 'api/financial/dictionary',
      data: {
        type: 'when'
      },
      success: (e) => {
        console.log(e.data.data)
        if (e.data.errcode == 0) {
          this.setData({
            yjrzxqList: e.data.data,
          })
        } else {
          wx.showToast({
            title: e.data.details ? e.data.details : e.data.errmsg,
            icon: 'none',
            duration: 1500
          })
        }
      }
    })
  },
  // 融资取向
  rongziData: function () {
    wx.request({
      method: "get",
      url: app.globalData.publicUrl + 'api/financial/dictionary',
      data: {
        type: 'cpsx'
      },
      success: (e) => {
        if (e.data.errcode == 0) {
          this.setData({
            rzqxList: e.data.data,
          })
        } else {
          wx.showToast({
            title: e.data.details ? e.data.details : e.data.errmsg,
            icon: 'none',
            duration: 1500
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log("onLoad");
    this.dbData();
    this.whenData();
    this.rongziData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    console.log("onReady");
    

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let user = wx.getStorageSync('user')
    console.log('user', user._id)
    if (user) {
      this.loadData();
    } else {
      wx.showToast({
        title: '登录失效',
        icon: 'none',
        duration: 1500
      })
      wx.navigateTo({
        url: '/pages/login/index'
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})